import previewMedia from "./index.vue"
export default function(Vue){
	const Constructor = Vue.extend(previewMedia)
	const Instance = new Constructor();
	Instance.$mount()
	document.body.appendChild(Instance.$el)
	Vue.prototype.$PreviewImage = ({sources,current}) => {
		Instance.show = true
		Instance.sources = sources
		Instance.current = current
		Instance.opacity = 1
	}
}